Bug 820344 - Review Request: apache-commons-javaflow - Commons Javaflow
Summary: Review Request: apache-commons-javaflow - Commons Javaflow
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 820341 820343
Blocks: 820548
TreeView+ depends on / blocked
 
Reported: 2012-05-09 17:36 UTC by gil cattaneo
Modified: 2012-07-05 23:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-05 23:27:46 UTC
Type: ---
mizdebsk: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description gil cattaneo 2012-05-09 17:36:40 UTC
Spec URL: http://gil.fedorapeople.org/apache-commons-javaflow.spec
SRPM URL: http://gil.fedorapeople.org/apache-commons-javaflow-1.0-1.fc16.src.rpm
Description: Sometimes it is useful if we can capture the state of the application,
its stack of function calls, which includes local variables, the global
variables and the program counter, and save them into an object. If
this object would give us the ability to restart the processing from
the point stored in it.
A continuation is exactly the type of object that we need. Think of a
continuation as an object that, for a given point in your program,
contains a snapshot of the stack trace, including all the local
variables, and the program counter. You can not only store these
things in the continuation object, but also restore the execution
of the program from a continuation object. This means that the stack
trace and the program counter of the running program become the ones
stored in a continuation.
Continuations are powerful concepts from the world of functional
languages, like Scheme, but they are becoming popular in other
languages as well.

Comment 1 Mikolaj Izdebski 2012-06-15 08:32:41 UTC
I am taking this review.

Comment 2 gil cattaneo 2012-06-18 16:54:33 UTC
tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4174731

Comment 3 Mikolaj Izdebski 2012-06-23 09:08:26 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/ant.d/%{short_name}
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint apache-commons-javaflow-1.0-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint apache-commons-javaflow-javadoc-1.0-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint apache-commons-javaflow-1.0-1.fc18.src.rpm

apache-commons-javaflow.src: W: invalid-url Source0: commons-javaflow-1.0-SNAPSHOT-src-svn.tar.gz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint apache-commons-javaflow-ant-1.0-1.fc18.noarch.rpm

apache-commons-javaflow-ant.noarch: W: conffile-without-noreplace-flag /etc/ant.d/commons-javaflow
apache-commons-javaflow-ant.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

These can be ignored.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
Package has no sources or they are generated by developer
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
     Note: Some add_maven_depmap calls found. Please check if they are correct
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms


Issues:
[!]: MUST %config files are marked noreplace or the reason is justified.
     Note: %config %{_sysconfdir}/ant.d/%{short_name}

Use %config(noreplace) instead of plain %config. For more information, see:
http://fedoraproject.org/wiki/Packaging/Guidelines#Configuration_files

[!]: MUST Package is named according to the Package Naming Guidelines.

A pre-release version is packaged. You must follow the guideliness at:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Pre-Release_packages

Comment 7 Stanislav Ochotnicky 2012-06-25 12:36:04 UTC
It would be nice to come up with a more descriptive summary :-)

Comment 8 Mikolaj Izdebski 2012-06-25 12:36:26 UTC
It's OK now.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4193137

**************
** APPROVED **
**************

Comment 9 gil cattaneo 2012-06-25 12:37:57 UTC
New Package SCM Request
=======================
Package Name: apache-commons-javaflow
Short Description: Commons Javaflow
Owners: gil
Branches: f17
InitialCC: java-sig

Comment 10 Gwyn Ciesla 2012-06-26 14:34:54 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-06-26 18:03:12 UTC
apache-commons-javaflow-1.0-0.1.20120509SNAPSHOT.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/apache-commons-javaflow-1.0-0.1.20120509SNAPSHOT.fc17

Comment 12 Fedora Update System 2012-06-28 03:23:38 UTC
apache-commons-javaflow-1.0-0.1.20120509SNAPSHOT.fc17 has been pushed to the Fedora 17 testing repository.

Comment 13 Fedora Update System 2012-07-05 23:27:46 UTC
apache-commons-javaflow-1.0-0.1.20120509SNAPSHOT.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.